%define srcname xf86-video-chips
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-chips
Version: 1.1.1
Release: alt2
Serial: 1
Summary: Chips and Technologies video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: chips.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-chips
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

ExclusiveArch: %ix86

%description
chips  is  an     Xorg     driver for Chips and Technologies video
processors.  The majority of the Chips and  Technologies  chipsets  are
supported by this driver. In general the limitation on the capabilities
of this driver are determined by the chipset on which it is run.  Where
possible,  this driver provides full acceleration and supports the fol-
lowing depths: 1, 4, 8, 15, 16, 24 and on the latest chipsets  an  8+16
overlay  mode.  All visual types are supported for depth 1, 4 and 8 and
both TrueColor and DirectColor visuals are  supported  where  possible.
Multi-head configurations are supported on PCI or AGP buses.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/chips.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt2
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt0.1
- initial release

